<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PomFilterContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PomFilterContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/maven/MavenResolver.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/maven/PomFilterContainer.html" target="_top">Frames</a></li>
<li><a href="PomFilterContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.maven</div>
<h2 title="Interface PomFilterContainer" class="title">Interface PomFilterContainer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/gradle/api/artifacts/maven/GroovyMavenDeployer.html" title="interface in org.gradle.api.artifacts.maven">GroovyMavenDeployer</a>, <a href="../../../../../org/gradle/api/artifacts/maven/MavenDeployer.html" title="interface in org.gradle.api.artifacts.maven">MavenDeployer</a>, <a href="../../../../../org/gradle/api/artifacts/maven/MavenResolver.html" title="interface in org.gradle.api.artifacts.maven">MavenResolver</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">PomFilterContainer</span></pre>
<div class="block">Manages a set of <a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a> instances and their associated <a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven"><code>PublishFilter</code></a> instances.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#DEFAULT_ARTIFACT_POM_NAME">DEFAULT_ARTIFACT_POM_NAME</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20groovy.lang.Closure)">addFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
         <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filter)</code>
<div class="block">Adds a publish filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)">addFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
         <a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a>&nbsp;publishFilter)</code>
<div class="block">If you want to deploy more than one artifact you need to define filters to select each of those artifacts.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#filter(groovy.lang.Closure)">filter</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filter)</code>
<div class="block">Sets the default publish filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#filter(java.lang.String)">filter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns a filter added with <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;org.gradle.api.publication.maven.internal.PomFilter&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#getActivePomFilters()">getActivePomFilters</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#getFilter()">getFilter</a></strong>()</code>
<div class="block">Returns the default filter being used.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#getPom()">getPom</a></strong>()</code>
<div class="block">Returns the POM property of the custom filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(org.gradle.api.Action)">pom</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&gt;&nbsp;configureAction)</code>
<div class="block">Configures the default POM by an action.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(groovy.lang.Closure)">pom</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures the default POM by a closure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(java.lang.String)">pom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the POM associated with a filter added with <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(java.lang.String,%20org.gradle.api.Action)">pom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
   <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&gt;&nbsp;configureAction)</code>
<div class="block">Configures a POM by an action.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(java.lang.String,%20groovy.lang.Closure)">pom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
   <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures a POM by a closure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#setFilter(org.gradle.api.artifacts.maven.PublishFilter)">setFilter</a></strong>(<a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a>&nbsp;defaultFilter)</code>
<div class="block">Sets the default filter to be used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#setPom(org.gradle.api.artifacts.maven.MavenPom)">setPom</a></strong>(<a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;defaultPom)</code>
<div class="block">Sets the default POM to be used.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_ARTIFACT_POM_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_ARTIFACT_POM_NAME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_ARTIFACT_POM_NAME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#org.gradle.api.artifacts.maven.PomFilterContainer.DEFAULT_ARTIFACT_POM_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilter</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a>&nbsp;getFilter()</pre>
<div class="block">Returns the default filter being used. .</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#setFilter(org.gradle.api.artifacts.maven.PublishFilter)"><code>setFilter(org.gradle.api.artifacts.maven.PublishFilter)</code></a></dd></dl>
</li>
</ul>
<a name="setFilter(org.gradle.api.artifacts.maven.PublishFilter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFilter</h4>
<pre>void&nbsp;setFilter(<a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a>&nbsp;defaultFilter)</pre>
<div class="block"><p>Sets the default filter to be used. This filter is active if no custom filters have been added (see <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a>).
 If at least one custom filter has been added the default filter is not used any longer.</p>
 <p>The default for this property is <a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html#ALWAYS_ACCEPT"><code>PublishFilter.ALWAYS_ACCEPT</code></a>.
 If there is only one artifact you are fine with this filter. If there is more than one artifact, deployment will lead to
 an exception, if you don't specify a filter that selects the artifact to deploy. If you want to deploy more than one artifact you have
 to use the (see <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a> method.</p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#getFilter()"><code>getFilter()</code></a></dd></dl>
</li>
</ul>
<a name="getPom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPom</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;getPom()</pre>
<div class="block">Returns the POM property of the custom filter.
 The POM property can be used to customize the POM generation. By default the properties of such a POM object are all null.
 Null means that Gradle will use default values for generating the Maven POM. Those default values are derived from the deployable artifact
 and from the project type (e.g. java, war, ...). If you explicitly set a POM property, Gradle will use those instead.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The Maven Pom</dd></dl>
</li>
</ul>
<a name="setPom(org.gradle.api.artifacts.maven.MavenPom)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPom</h4>
<pre>void&nbsp;setPom(<a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;defaultPom)</pre>
<div class="block"><p>Sets the default POM to be used. This POM is active if no custom filters have been added (see <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a>).
 If at least one custom filter has been added the default POM is not used any longer.</p>
 <p>Usually you don't need to set this property as the default value provides you a POM object you might use for configuration.
 By default the properties of such a POM object are all null.
 If they are null, Gradle will use default values for generating the Maven POM. Those default values are derived from the deployable artifact
 and from the project type (e.g. java, war, ...). If you explicitly set a POM property, Gradle will use this instead.</p></div>
</li>
</ul>
<a name="addFilter(java.lang.String, org.gradle.api.artifacts.maven.PublishFilter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFilter</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;addFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 <a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a>&nbsp;publishFilter)</pre>
<div class="block">If you want to deploy more than one artifact you need to define filters to select each of those artifacts. The method
 returns a POM object associated with this filter, that allows you to customize the POM generation for the artifact selected
 by the filter.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the filter</dd><dd><code>publishFilter</code> - The filter to use</dd>
<dt><span class="strong">Returns:</span></dt><dd>The POM associated with the filter</dd></dl>
</li>
</ul>
<a name="addFilter(java.lang.String, groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFilter</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;addFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filter)</pre>
<div class="block">Adds a publish filter.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the filter</dd><dd><code>filter</code> - The filter</dd>
<dt><span class="strong">Returns:</span></dt><dd>The Maven POM associated with the closure</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven"><code>PublishFilter</code></a>, 
<a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a></dd></dl>
</li>
</ul>
<a name="filter(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven">PublishFilter</a>&nbsp;filter(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns a filter added with <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the filter</dd></dl>
</li>
</ul>
<a name="filter(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre>void&nbsp;filter(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filter)</pre>
<div class="block">Sets the default publish filter.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filter</code> - The filter to be set</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven"><code>PublishFilter</code></a>, 
<a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#setFilter(org.gradle.api.artifacts.maven.PublishFilter)"><code>setFilter(org.gradle.api.artifacts.maven.PublishFilter)</code></a></dd></dl>
</li>
</ul>
<a name="pom(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the POM associated with a filter added with <a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#addFilter(java.lang.String,%20org.gradle.api.artifacts.maven.PublishFilter)"><code>addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the filter.</dd></dl>
</li>
</ul>
<a name="pom(java.lang.String, groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures a POM by a closure. The closure statements are delegated to the POM object associated with the given name.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The POM object associated with the given name.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(java.lang.String)"><code>pom(String)</code></a></dd></dl>
</li>
</ul>
<a name="pom(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures the default POM by a closure. The closure statements are delegated to the default POM.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The default POM.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#getPom()"><code>getPom()</code></a></dd></dl>
</li>
</ul>
<a name="pom(java.lang.String, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Configures a POM by an action. The action is executed against the POM object associated with the given name.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The POM object associated with the given name.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#pom(java.lang.String)"><code>pom(String)</code></a></dd></dl>
</li>
</ul>
<a name="pom(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Configures the default POM by an action.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The default POM.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/artifacts/maven/PomFilterContainer.html#getPom()"><code>getPom()</code></a></dd></dl>
</li>
</ul>
<a name="getActivePomFilters()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getActivePomFilters</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;org.gradle.api.publication.maven.internal.PomFilter&gt;&nbsp;getActivePomFilters()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/maven/MavenResolver.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/maven/PublishFilter.html" title="interface in org.gradle.api.artifacts.maven"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/maven/PomFilterContainer.html" target="_top">Frames</a></li>
<li><a href="PomFilterContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
